This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 536684 - Review Request: eclipse-mdt-ocl - Implementation of the OCL OMG metamodel for Eclipse
Review Request: eclipse-mdt-ocl - Implementation of the OCL OMG metamodel for...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On: 536683
Blocks: 537451 537452 537652
  Show dependency treegraph
 
Reported: 2009-11-10 17:10 EST by Mat Booth
Modified: 2009-12-01 15:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-01 15:16:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lkundrak: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mat Booth 2009-11-10 17:10:15 EST
This package depends eclipse-mdt-uml2, whose review request is bug #536683.

Spec URL: http://mbooth.fedorapeople.org/reviews/eclipse-mdt-ocl.spec
SRPM URL: http://mbooth.fedorapeople.org/reviews/eclipse-mdt-ocl-1.3.0-1.fc12.src.rpm

Description:
OCL is an implementation of the Object Constraint Language (OCL) OMG standard
for EMF-based models. The OCL component provides the following capabilities to
support OCL integration:

 * Defines APIs for parsing and evaluating OCL constraints and queries on EMF
   models.
 * Defines an Ecore implementation of the OCL abstract syntax model, including
   support for serialization of parsed OCL expressions.
 * Provides a Visitor API for analyzing/transforming the AST model of OCL
   expressions.
 * Provides an extensibility API for clients to customize the parsing and
   evaluation environments used by the parser.
Comment 1 Lubomir Rintel 2009-11-21 14:09:59 EST
* Package name and version are in accordance with packaging guidelines
* SPEC file clean, legible and well-commented
* License tag correct, license packaged as %doc
* Local mockbuild with eclipse-mdt-uml2 dragged in succeeded
* RPMLint happy
  * a couple of warnings spelling errors in fc13, all of them false positives
  * warning about symlink target not being in package; ok since it's in dependnecy
* Filelist okay
* Provides/Require list ok

Objections:

1.) Why do you check stuff out from CVS and make up a qualifier? There seem to be a source bundle available at the downloads page:
http://www.eclipse.org/modeling/mdt/downloads/?project=ocl

2.) Please don't pretty-format the Description. It does not always look well in package management front-ends.

3.) Please use build-classpath to get the file name of lpgjavaruntime.jar. Like: 
ln -s ../../../../../../../$(build-classpath lpgjavaruntime) \
    net.sourceforge.lpg.lpgjavaruntime_1.1.0.jar
Comment 2 Mat Booth 2009-11-22 09:11:23 EST
(In reply to comment #1)
> * Package name and version are in accordance with packaging guidelines
> * SPEC file clean, legible and well-commented
> * License tag correct, license packaged as %doc
> * Local mockbuild with eclipse-mdt-uml2 dragged in succeeded
> * RPMLint happy
>   * a couple of warnings spelling errors in fc13, all of them false positives
>   * warning about symlink target not being in package; ok since it's in
> dependnecy
> * Filelist okay
> * Provides/Require list ok
> 
> Objections:
> 
> 1.) Why do you check stuff out from CVS and make up a qualifier? There seem to
> be a source bundle available at the downloads page:
> http://www.eclipse.org/modeling/mdt/downloads/?project=ocl
> 

See the eclipse-mdt-uml2 review. The qualifier comes from the release tag we use to check the source out of version control - see get-mdt-ocl.sh.

> 2.) Please don't pretty-format the Description. It does not always look well in
> package management front-ends.
> 

Ok, no probs.

> 3.) Please use build-classpath to get the file name of lpgjavaruntime.jar.
> Like: 
> ln -s ../../../../../../../$(build-classpath lpgjavaruntime) \
>     net.sourceforge.lpg.lpgjavaruntime_1.1.0.jar  

Ok, sure.

Spec URL: http://mbooth.fedorapeople.org/reviews/eclipse-mdt-ocl.spec
SRPM URL:
http://mbooth.fedorapeople.org/reviews/eclipse-mdt-ocl-1.3.0-2.fc12.src.rpm
Comment 3 Lubomir Rintel 2009-11-27 07:14:19 EST
Looks well now.

APPROVED
Comment 4 Mat Booth 2009-11-27 09:05:05 EST
(In reply to comment #3)
> Looks well now.
> 
> APPROVED  

Nice one, thanks.

New Package CVS Request
=======================
Package Name: eclipse-mdt-ocl
Short Description: Implementation of the OCL OMG metamodel for Eclipse
Owners: mbooth
Branches: F-12
Comment 5 Jason Tibbitts 2009-12-01 13:45:37 EST
CVS done.
Comment 6 Mat Booth 2009-12-01 15:16:38 EST
Built successfully for rawhide, closing.

Note You need to log in before you can comment on or make changes to this bug.